For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get support
HomeDocsAPI ReferenceRelease Notes
HomeDocsAPI ReferenceRelease Notes
  • Payments API
    • POSTRefresh API Keys
    • POSTCharge
    • POSTCapture
    • POSTVoid or Refund
    • POSTCheck Surcharge
    • POSTCreate Hosted Payment Page
    • PUTEdit Hosted Payment Page
    • POSTCreate Vault Payment Account
    • GETGet Vault Payment Account
    • DELDelete a Vault Payment Account
    • PUTUpdate Vault Account Details
    • POSTCreate Billing Plan
    • GETGet Billing Plan
    • DELCancel Billing Plan
  • Authentication (Reporting & Boarding)
    • POSTGet access token
  • Reporting API
    • GETGet transactions data
    • GETGet deposits data
    • GETGet chargebacks data
    • GETGet adjustments data
  • Boarding API
    • GETList merchants
    • POSTCreate a new merchant
    • GETGet a single merchant
Get support
LogoLogo

Edit Hosted Payment Page

PUT
https://javelin.runpayments.io/api/v1/hpp/:hpp_client_id
PUT
/api/v1/hpp/:hpp_client_id
$curl -X PUT https://javelin.runpayments.io/api/v1/hpp/hpp_client_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "cc_mid": "800000001780",
> "name": "GS2 Payment Link",
> "name_on_account": "Testing Payments",
> "amount": "99.99",
> "lock_amount": "false",
> "disable_after_payment": "false",
> "min_amount": "50.00",
> "max_amount": "200.00",
> "hpp_options": [
> {
> "name": "email",
> "value": "test@test.com",
> "is_readonly": "false",
> "is_required": "true"
> },
> {
> "name": "phone",
> "value": "2150462839",
> "is_readonly": "false",
> "is_required": "true"
> }
> ]
>}'
1{
2 "success": true,
3 "message": "HPP created successfully",
4 "url": "https://hpp.runpayments.io/payment?client_id=2DF1A41172BA157090D8E26EC83E0CE0"
5}
Allows for the editing of an existing hosted payment page. This will not remove existing components, but if something new is passed, it will override the existing field or add it to an existing payment page.
Was this page helpful?
Previous

Create Vault Payment Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

hpp_client_idstringRequired
The client ID of the hosted payment page to edit

Request

This endpoint expects an object.
cc_midstringRequired

Merchant ID(s) associated with the hosted payment page. (Not editable after creation)

namestringOptional
Name of the Hosted Payment Page.
name_on_accountstringOptional
Name of the Customer.
amountstringOptional
Amount associated with the payment link.
lock_amountstringOptional

(true/false) whether the amount should be locked to the end user. Amount must be set in order to have this locked.

disable_after_paymentstringOptional

(true/false) whether the payment link should be disabled after 1 use.

min_amountstringOptional

Minimum amount, can only be present if “lock_amount” is “false”, can be equal to the amount if present.

max_amountstringOptional

Maximum amount, can only be present if “lock_amount” is “false”, can be equal to the amount if present.

hpp_optionslist of objectsOptional

An array containing the following parameters: Address (no optional pre-set value allowed), Phone, Email, Invoice ID, Custom Fields 01-05.

Response

HPP updated successfully
successboolean
Whether or not the edits were successfully made.
messagestring
Status message.
urlstring
The new url for the hosted payment page.

Errors

400
Bad Request Error
401
Unauthorized Error